unit tpSelectTenderNode;

interface

uses
  Classes, sdIDTree, sdDB;

type
  TtpSelectTenderNode = class
  private
    FID: Integer;
    FSerialNo: Integer;
    FName: string;
    FFileName: string;
    FTotalPrice: Double;
    FNodeCount: Integer;
  public
    constructor Create(ANode: TsdIDTreeNode);
    destructor Destroy; override;

    property ID: Integer read FID;
    property SerialNo: Integer read FSerialNo;
    property Name: string read FName;
    property FileName: string read FFileName;
    property TotalPrice: Double read FTotalPrice;

    property NodeCount: Integer read FNodeCount write FNodeCount;
  end;

implementation

{ TtpSelectTenderNode }

constructor TtpSelectTenderNode.Create(ANode: TsdIDTreeNode);
begin
  FID := ANode.ID;
  FSerialNo := ANode.MajorIndex;
  FName := ANode.Rec.ValueByName('Name').AsString;
  FFileName := ANode.Rec.ValueByName('FileName').AsString;
  FTotalPrice := ANode.Rec.ValueByName('DealTotalPrice').AsFloat;
end;

destructor TtpSelectTenderNode.Destroy;
begin
  inherited;
end;

end.
